> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.dintero.com/feedback

```json
{
  "path": "/api-reference/v2-config-payout-destinations/get-seller-transfers",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get seller transfers

> Get list of transfers for a seller




## OpenAPI

````yaml /mintlify-docs/openapi/spec-payments.yaml get /v2/accounts/{aid}/payout/payout-destinations/{payout_destination_id}/transfers
openapi: 3.0.0
info:
  title: Payments API
  contact:
    name: API Integration Support
    email: integration@dintero.com
  description: >
    Public endpoints for payments, including checkout, payout and settlement
    reports.
  version: LATEST
  license:
    name: UNLICENSED
    url: https://dintero.com
  x-logo:
    url: https://docs.dintero.com/img/dintero-dark-padded.svg
    altText: Dintero Logo
servers:
  - url: https://checkout.dintero.com/v1
security:
  - apikey: []
tags:
  - name: Transactions
    x-displayName: Transactions
    description: |
      View and perform operations on transactions
  - name: session
    x-displayName: Sessions
    description: |
      A Checkout Session relates to an order in your system.
      When an order has been placed you create a corresponding Checkout Session
      to receive payment for that order.
  - name: payment
    x-displayName: Payment
    description: |
      Resources used by the customer aka user to complete the payment of a
      session.
  - name: settlements
    x-displayName: Settlement reports
    description: Get settlement reports generated per payout
  - name: settlements.configuration
    x-displayName: Configuration
    description: Configure settlement reports
  - name: reports
    x-displayName: Reports
    description: List the generated monthly transaction reports
  - name: example-session-callbacks
    x-displayName: Callback
    description: |
      Example of recieved callbacks from Dintero's servers.
  - name: fund-transfers
    x-displayName: Fund Transfer
    description: Transfer funds between sellers
  - name: Sellers
    x-displayName: Sellers
    description: Manage the signup of a new Seller / Merchant account
  - name: example-session-callbacks
    x-displayName: Example Callbacks
    description: Example of callbacks delivered
  - name: v2-fund-transfers
    x-displayName: Fund Transfer
    description: Transfer funds between sellers
  - name: v2-config-payout-destinations
    x-displayName: Sellers
    description: Get payout data for sellers
paths:
  /v2/accounts/{aid}/payout/payout-destinations/{payout_destination_id}/transfers:
    get:
      tags:
        - v2-config-payout-destinations
      summary: Get seller transfers
      description: |
        Get list of transfers for a seller
      operationId: v2_aid_payout_destination_transfers_get
      parameters:
        - $ref: '#/components/parameters/accountId'
        - $ref: '#/components/parameters/payoutDestinationId'
        - $ref: '#/components/parameters/limitV2'
        - $ref: '#/components/parameters/page'
        - name: currency
          in: query
          description: Filter by currency
          schema:
            type: string
            minLength: 3
            maxLength: 3
            pattern: ^[A-Z]{3}$
      responses:
        '200':
          description: Payout destination transfers response
          content:
            application/json:
              schema:
                type: object
                properties:
                  entries:
                    $ref: '#/components/schemas/PayoutDestinationTransfersV2'
                  next_page_token:
                    type: string
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/ServerError'
      servers:
        - url: https://api.dintero.com/
components:
  parameters:
    accountId:
      name: aid
      description: |
        An id that uniquely identifies the account.
      in: path
      required: true
      schema:
        type: string
        format: ^[PT]{1}\d{8}$
        minLength: 9
        maxLength: 9
    payoutDestinationId:
      name: payout_destination_id
      description: Seller id
      in: path
      required: true
      schema:
        type: string
    limitV2:
      name: limit
      in: query
      description: |
        A limit on the number of objects to be returned. Limit can range
        between 1 and 1000 items, and the default is 10 items.
      schema:
        type: integer
        minimum: 1
        maximum: 1000
        default: 10
    page:
      name: page
      in: query
      description: The page (as defined by the next_page_token in the api response)
      required: false
      schema:
        type: string
  schemas:
    PayoutDestinationTransfersV2:
      type: array
      items:
        $ref: '#/components/schemas/PayoutDestinationTransferEntryV2'
    PayoutDestinationTransferEntryV2:
      type: object
      description: |
        Seller transfer entry
      required:
        - ledger_entry_id
        - account_id
        - payout_destination_config_id
        - payout_destination_id
        - created_at
        - currency
        - amount
        - type
        - inbound_payment_provider
        - transfer_id
        - transfer_source_payout_destination_id
        - transfer_destination_payout_destination_id
        - transfer_reference
        - outbound_receiver_country
        - outbound_receiver_bank_account_type
        - outbound_receiver_bank_account_number
        - outbound_receiver_bank_account_bic
        - outbound_message
      properties:
        ledger_entry_id:
          type: string
          readOnly: true
          description: A string id that uniquely identifies the entry in the ledger
        account_id:
          type: string
          readOnly: true
          description: The Dintero account id
        payout_destination_config_id:
          type: string
          description: >-
            A string id that uniquely identifies the payout destination
            configuration id
          readOnly: true
        payout_destination_id:
          type: string
          readOnly: true
          maxLength: 40
          description: |
            The id of the seller as defined elsewhere in dintero.
        created_at:
          type: string
          format: date-time
          description: The date-time when the resource was created
          readOnly: true
        currency:
          type: string
          readOnly: true
          minLength: 3
          maxLength: 3
          pattern: ^[A-Z]{3}$
        amount:
          type: integer
          readOnly: true
          description: Amount in the smallest unit of the currency
        type:
          type: string
          readOnly: true
          enum:
            - inbound
            - transfer
            - outbound
          description: >
            The type of the transfer.

            - `inbound` is a transfer from a payment provider to the sellers
            account in Dintero

            - `transfer` is a transfer between two Dintero sellers

            - `outbound` is a transfer from the seller account in Dintero to the
            sellers bank account
        inbound_payment_provider:
          type: string
          readOnly: true
          description: >
            The underlying payment provider for the inbound payment, eg.
            `collector`, `bambora`, `payex`.

            Only applicable for type `inbound`
          nullable: true
        transfer_id:
          type: string
          readOnly: true
          description: |
            The id of the transfer.
            Only applicable for type `transfer`
          nullable: true
        transfer_source_payout_destination_id:
          type: string
          readOnly: true
          description: >
            The id of the seller that money was transferred from as defined
            elsewhere in dintero.

            Only applicable for type `transfer`
          nullable: true
        transfer_destination_payout_destination_id:
          type: string
          readOnly: true
          description: >
            The id of the seller that money was transferred to as defined
            elsewhere in dintero.

            Only applicable for type `transfer`
          nullable: true
        transfer_reference:
          type: string
          readOnly: true
          description: |
            The reference of the transfer.
            Only applicable for type `transfer`
          nullable: true
        outbound_receiver_country:
          type: string
          readOnly: true
          description: |
            The country of the bank account that will receive the funds.
            Only applicable for type `outbound`
          nullable: true
        outbound_receiver_bank_account_type:
          type: string
          readOnly: true
          description: >
            The bank account number type that will receive the funds, eg. `iban`
            or `bban`.

            Only applicable for type `outbound`
          nullable: true
        outbound_receiver_bank_account_number:
          type: string
          readOnly: true
          description: |
            The bank account number that will receive the funds.
            Only applicable for type `outbound`
          nullable: true
        outbound_receiver_bank_account_bic:
          type: string
          readOnly: true
          description: >
            The bic for the bank account will receive the funds.

            Only applicable for type `outbound` if the bank account type is
            `iban`
          nullable: true
        outbound_message:
          type: string
          readOnly: true
          description: |
            Text message attached to the bank transaction.
            Only applicable for type `outbound`
          nullable: true
        payment_match_report_data:
          $ref: '#/components/schemas/PaymentMatchReportDataV2'
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            code:
              type: string
              description: The code used to identify the error/warning
            errors:
              type: array
              description: The nested error(s) encountered during validation
              items:
                type: object
            message:
              type: string
              description: The human readable description of the error/warning
    PaymentMatchReportDataV2:
      type: object
      properties:
        start_at:
          type: string
          description: Time of first payment event in this transfer
        end_at:
          type: string
          description: Time of last payment event in this transfer
        settled_at:
          type: string
          description: Settlement date
        created_at:
          type: string
          description: Time of creation of the transfer report
        provider:
          type: string
          description: Name of payment provider.
        provider_reference:
          type: string
          description: The provider's unique id of the settlement
        attachments:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: Unique id of the attachment
              key:
                type: string
                description: Attachment path
              content_type:
                type: string
                example: application/xml
              extension:
                type: string
              created_by:
                type: string
                description: >
                  Where the attachment was created. Might be created by dintero,

                  or might be created by the providers, e.g. payex, vipps,
                  collector
                example: payex
        amounts:
          type: array
          items:
            type: object
            properties:
              amount:
                type: number
                description: |
                  The amount paid out, unless payment_status is postponed.

                  `amount = capture - refund - fee`
              capture:
                type: number
                description: |
                  The amount captured on the orders in the settlement period.
              refund:
                type: number
                description: |
                  The amount refunded on the orders in the settlement period.
              fee:
                type: number
                description: |
                  The sum of fees on the orders in the settlement period.
              currency:
                type: string
                format: iso4217-code
                example: NOK
        payment_status:
          type: string
          description: |
            Status of the payment.
          enum:
            - payment-match
        store_id:
          type: string
          description: |
            The sales location this report is for. Will only be set if all
            transactions share the same store_id.
        payout_destination_id:
          type: string
          description: |
            The seller id this report is for. Will only be set if all
            transactions share the same payout_destination_id.
  responses:
    BadRequest:
      description: Bad / Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    AccessForbidden:
      description: Access forbidden, invalid JWT token was used
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apikey:
      type: apiKey
      in: header
      description: |
        X-API-Key authentication for accessing regular endpoints. Use
        [Create api-key](#operation/admin_api_keys_post) to create a key.

        The content of the header should look like the following:

            x-api-key: {api_key}
      name: x-api-key

````